[arch-commits] Commit in firefox/repos (7 files)

Jan de Groot jgc at archlinux.org
Wed Jul 1 18:08:13 EDT 2009


    Date: Wednesday, July 1, 2009 @ 18:08:12
  Author: jgc
Revision: 44394

Merged revisions 44393 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/firefox/trunk

........
  r44393 | jgc | 2009-07-02 00:07:53 +0200 (Thu, 02 Jul 2009) | 1 line
  
  upgpkg: firefox 3.5-1
........

Modified:
  firefox/repos/extra-x86_64/	(properties)
  firefox/repos/extra-x86_64/PKGBUILD
  firefox/repos/extra-x86_64/browser-defaulturls.patch
  firefox/repos/extra-x86_64/mozconfig
Deleted:
  firefox/repos/extra-x86_64/firefox-appversion.patch
  firefox/repos/extra-x86_64/mozbug421977.patch
  firefox/repos/extra-x86_64/mozilla-firstrun.patch

---------------------------+
 PKGBUILD                  |   31 ++------
 browser-defaulturls.patch |   10 +-
 firefox-appversion.patch  |   11 ---
 mozbug421977.patch        |  158 --------------------------------------------
 mozconfig                 |    2 
 mozilla-firstrun.patch    |   49 -------------
 6 files changed, 16 insertions(+), 245 deletions(-)


Property changes on: firefox/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /firefox/trunk:1-42393
   + /firefox/trunk:1-44393

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-07-01 22:07:53 UTC (rev 44393)
+++ extra-x86_64/PKGBUILD	2009-07-01 22:08:12 UTC (rev 44394)
@@ -2,12 +2,13 @@
 # Contributor: Jakub Schmidtke <sjakub at gmail.com>
 
 pkgname=firefox
-pkgver=3.0.11
+pkgver=3.5
 pkgrel=1
+_xulver=1.9.1
 pkgdesc="Standalone web browser from mozilla.org"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
-depends=('xulrunner=1.9.0.11' 'desktop-file-utils')
+depends=("xulrunner>=${_xulver}" 'desktop-file-utils')
 makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python' 'xorg-server')
 replaces=('firefox3')
 install=firefox.install
@@ -17,36 +18,24 @@
         firefox.desktop
         firefox-safe.desktop
         mozilla-firefox-1.0-lang.patch
-        mozbug421977.patch
-        firefox-appversion.patch
         browser-defaulturls.patch)
-md5sums=('b509f7c05e9566ed290e2c098316c7c3'
-         '8b6e5f7d0a9e3f64747a024cf8f12069'
+md5sums=('6dd59399db08963ef022a1d0e5010053'
+         '9ef5d73fdcda6b9f99f17ed9993693aa'
          '68cf02788491c6e846729b2f2913bf79'
          '5e68cabfcf3c021806b326f664ac505e'
          'bd5db57c23c72a02a489592644f18995'
-         '7976e3ff52e01af3388dfc3a479c4955'
-         'c6f27fca2e6bd2a570b271ec3ce35782'
-         '417deb9f5b62de91f3777fe526ebdf63')
+         '346d74ec560e7bbf453c02ff21f4b868')
 
 build() {
-  cd "${srcdir}/mozilla"
-
+  cd "${srcdir}/mozilla-${_xulver}"
   patch -Np1 -i "${srcdir}/mozilla-firefox-1.0-lang.patch" || return 1
-
-  # FS#10836: fixes backgroundcolor parsing with gnome
-  patch -Np0 -i "${srcdir}/mozbug421977.patch" || return 1
-
-  patch -Np1 -i "${srcdir}/firefox-appversion.patch" || return 1
-
   patch -Np0 -i "${srcdir}/browser-defaulturls.patch" || return 1
 
   cp "${srcdir}/mozconfig" .mozconfig
-
   unset CFLAGS
   unset CXXFLAGS
 
-  export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-3.0"
+  export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-3.5"
 
   LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX :99 &
   XPID=$!
@@ -57,11 +46,11 @@
 
   make -j1 DESTDIR=${pkgdir} -C ff-opt-obj install || return 1
 
-  rm -f ${pkgdir}/usr/lib/firefox-3.0/libjemalloc.so
+  rm -f ${pkgdir}/usr/lib/firefox-3.5/libjemalloc.so
 
   install -m755 -d ${pkgdir}/usr/share/applications
   install -m755 -d ${pkgdir}/usr/share/pixmaps
-  install -m644 ${srcdir}/mozilla/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
+  install -m644 ${srcdir}/mozilla-${_xulver}/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
   install -m644 ${srcdir}/firefox.desktop ${pkgdir}/usr/share/applications/ || return 1
   install -m644 ${srcdir}/firefox-safe.desktop ${pkgdir}/usr/share/applications/ || return 1
 }

Modified: extra-x86_64/browser-defaulturls.patch
===================================================================
--- extra-x86_64/browser-defaulturls.patch	2009-07-01 22:07:53 UTC (rev 44393)
+++ extra-x86_64/browser-defaulturls.patch	2009-07-01 22:08:12 UTC (rev 44394)
@@ -2,7 +2,7 @@
 +++ browser/branding/unofficial/locales/browserconfig.properties	2009-06-13 17:05:28.000000000 +0200
 @@ -1,3 +1,3 @@
  # Do NOT localize or otherwise change these values
--browser.startup.homepage=http://www.mozilla.org/projects/granparadiso/
+-browser.startup.homepage=http://www.mozilla.org/projects/shiretoko/
 +browser.startup.homepage=http://www.google.com/firefox
  
 --- browser/branding/unofficial/pref/firefox-branding.js~	2009-06-13 16:57:53.000000000 +0200
@@ -12,10 +12,10 @@
 -pref("startup.homepage_welcome_url","http://www.mozilla.org/projects/%APP%/%VERSION%/firstrun/");
 +pref("startup.homepage_override_url","http://www.mozilla.com/%APP%/%VERSION%/whatsnew/");
 +pref("startup.homepage_welcome_url","http://www.mozilla.com/%APP%/%VERSION%/firstrun/");
- // URL user can browse to manually if for some reason all update installation
- // attempts fail.
- pref("app.update.url.manual", "http://www.mozilla.org/products/%APP%/");
-@@ -8,7 +8,7 @@
+ // The time interval between checks for a new version (in seconds)
+ // nightly=8 hours, official=24 hours
+ pref("app.update.interval", 28800);
+@@ -11,7 +11,7 @@
  pref("app.update.url.details", "http://www.mozilla.org/projects/%APP%/");
  
  // Release notes URL

Deleted: extra-x86_64/firefox-appversion.patch
===================================================================
--- extra-x86_64/firefox-appversion.patch	2009-07-01 22:07:53 UTC (rev 44393)
+++ extra-x86_64/firefox-appversion.patch	2009-07-01 22:08:12 UTC (rev 44394)
@@ -1,11 +0,0 @@
---- mozilla/browser/installer/Makefile.in.orig	2008-11-19 22:49:15.000000000 +0100
-+++ mozilla/browser/installer/Makefile.in	2008-11-19 22:49:32.000000000 +0100
-@@ -43,6 +43,8 @@
- 
- include $(DEPTH)/config/autoconf.mk
- 
-+MOZ_APP_VERSION=3.0
-+
- NO_PKG_FILES = \
- 	$(MOZ_APP_NAME)-config \
- 	$(MOZ_APP_NAME)-bin.elf \

Deleted: extra-x86_64/mozbug421977.patch
===================================================================
--- extra-x86_64/mozbug421977.patch	2009-07-01 22:07:53 UTC (rev 44393)
+++ extra-x86_64/mozbug421977.patch	2009-07-01 22:08:12 UTC (rev 44394)
@@ -1,158 +0,0 @@
-Index: browser/components/shell/src/nsGNOMEShellService.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/browser/components/shell/src/nsGNOMEShellService.cpp,v
-retrieving revision 1.21
-diff -d -u -p -U 8 -r1.21 nsGNOMEShellService.cpp
---- browser/components/shell/src/nsGNOMEShellService.cpp	1 Oct 2007 18:25:26 -0000	1.21
-+++ browser/components/shell/src/nsGNOMEShellService.cpp	15 Mar 2008 07:08:47 -0000
-@@ -58,16 +58,17 @@
- #include "nsIImage.h"
- #include "prprf.h"
- #ifdef MOZ_WIDGET_GTK2
- #include "nsIImageToPixbuf.h"
- #endif
- 
- #include <glib.h>
- #include <glib-object.h>
-+#include <gdk/gdk.h>
- #include <gdk-pixbuf/gdk-pixbuf.h>
- #include <limits.h>
- #include <stdlib.h>
- 
- struct ProtocolAssociation
- {
-   const char *name;
-   PRBool essential;
-@@ -442,117 +443,56 @@ nsGNOMEShellService::SetDesktopBackgroun
-                    EmptyCString());
- 
-   gconf->SetString(NS_LITERAL_CSTRING(kDesktopImageKey), filePath);
-   gconf->SetBool(NS_LITERAL_CSTRING(kDesktopDrawBGKey), PR_TRUE);
- 
-   return rv;
- }
- 
--// In: pointer to two characters CC
--// Out: parsed color number
--static PRUint8
--HexToNum(char ch)
--{
--  if ('0' <= ch && '9' >= ch)
--    return ch - '0';
--
--  if ('A' <= ch && 'F' >= ch)
--    return ch - 'A';
--
--  if ('a' <= ch && 'f' >= ch)
--    return ch - 'a';
--
--  return 0;
--}
--  
--
--// In: 3 or 6-character RRGGBB hex string
--// Out: component colors
--static PRBool
--HexToRGB(const nsCString& aColorSpec,
--         PRUint8 &aRed,
--         PRUint8 &aGreen,
--         PRUint8 &aBlue)
--{
--  const char *buf = aColorSpec.get();
--
--  if (aColorSpec.Length() == 6) {
--    aRed =    HexToNum(buf[0]) >> 4 |
--              HexToNum(buf[1]);
--    aGreen =  HexToNum(buf[2]) >> 4 |
--              HexToNum(buf[3]);
--    aBlue =   HexToNum(buf[4]) >> 4 |
--              HexToNum(buf[5]);
--    return PR_TRUE;
--  }
--
--  if (aColorSpec.Length() == 3) {
--    aRed = HexToNum(buf[0]);
--    aGreen = HexToNum(buf[1]);
--    aBlue = HexToNum(buf[2]);
--
--    aRed |= aRed >> 4;
--    aGreen |= aGreen >> 4;
--    aBlue |= aBlue >> 4;
--
--    return PR_TRUE;
--  }
--
--  return PR_FALSE;
--}
-+#define COLOR_16_TO_8_BIT(_c) ((_c) >> 8)
-+#define COLOR_8_TO_16_BIT(_c) ((_c) << 8)
- 
- NS_IMETHODIMP
- nsGNOMEShellService::GetDesktopBackgroundColor(PRUint32 *aColor)
- {
-   nsCOMPtr<nsIGConfService> gconf = do_GetService(NS_GCONFSERVICE_CONTRACTID);
- 
-   nsCAutoString background;
-   gconf->GetString(NS_LITERAL_CSTRING(kDesktopColorKey), background);
- 
-   if (background.IsEmpty()) {
-     *aColor = 0;
-     return NS_OK;
-   }
- 
--  // Chop off the leading '#' character
--  background.Cut(0, 1);
-+  GdkColor color;
-+  gboolean success = gdk_color_parse(background.get(), &color);
- 
--  PRUint8 red, green, blue;
--  if (!HexToRGB(background, red, green, blue))
--      return NS_ERROR_FAILURE;
-+  NS_ENSURE_TRUE(success, NS_ERROR_FAILURE);
- 
--  // The result must be in RGB order with the high 8 bits zero.
--  *aColor = (red << 16 | green << 8  | blue);
-+  *aColor = COLOR_16_TO_8_BIT(color.red) << 16 |
-+            COLOR_16_TO_8_BIT(color.green) << 8 |
-+            COLOR_16_TO_8_BIT(color.blue);
-   return NS_OK;
- }
- 
--static void
--ColorToHex(PRUint32 aColor, nsCString& aResult)
--{
--  char *buf = aResult.BeginWriting(7);
--  if (!buf)
--    return;
--
--  PRUint8 red = (aColor >> 16);
--  PRUint8 green = (aColor >> 8) & 0xff;
--  PRUint8 blue = aColor & 0xff;
--
--  PR_snprintf(buf, 8, "#%02x%02x%02x", red, green, blue);
--}
--
- NS_IMETHODIMP
- nsGNOMEShellService::SetDesktopBackgroundColor(PRUint32 aColor)
- {
-   nsCOMPtr<nsIGConfService> gconf = do_GetService(NS_GCONFSERVICE_CONTRACTID);
- 
--  nsCString colorString;
--  ColorToHex(aColor, colorString);
-+  GdkColor color;
-+  color.red = COLOR_8_TO_16_BIT(aColor >> 16);
-+  color.green = COLOR_8_TO_16_BIT((aColor >> 8) & 0xff);
-+  color.blue = COLOR_8_TO_16_BIT(aColor & 0xff);
- 
--  gconf->SetString(NS_LITERAL_CSTRING(kDesktopColorKey), colorString);
-+  gchar *colorString = gdk_color_to_string(&color);
-+  gconf->SetString(NS_LITERAL_CSTRING(kDesktopColorKey), nsDependentCString(colorString));
-+  g_free (colorString);
- 
-   return NS_OK;
- }
- 
- NS_IMETHODIMP
- nsGNOMEShellService::OpenApplication(PRInt32 aApplication)
- {
-   nsCAutoString scheme;

Modified: extra-x86_64/mozconfig
===================================================================
--- extra-x86_64/mozconfig	2009-07-01 22:07:53 UTC (rev 44393)
+++ extra-x86_64/mozconfig	2009-07-01 22:08:12 UTC (rev 44394)
@@ -23,7 +23,7 @@
 ac_add_options --enable-startup-notification
 ac_add_options --enable-libxul
 ac_add_options --disable-crashreporter
-ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9
+ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9.1
 ac_add_options --enable-safe-browsing
 ac_add_options --with-branding=browser/branding/unofficial
 mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-opt-obj

Deleted: extra-x86_64/mozilla-firstrun.patch
===================================================================
--- extra-x86_64/mozilla-firstrun.patch	2009-07-01 22:07:53 UTC (rev 44393)
+++ extra-x86_64/mozilla-firstrun.patch	2009-07-01 22:08:12 UTC (rev 44394)
@@ -1,49 +0,0 @@
-diff -up mozilla/browser/base/jar.mn.firstrun mozilla/browser/base/jar.mn
---- mozilla/browser/base/jar.mn.firstrun	2008-06-15 12:39:28.000000000 -0700
-+++ mozilla/browser/base/jar.mn	2008-06-15 12:39:34.000000000 -0700
-@@ -21,9 +21,6 @@ browser.jar:
- *       content/browser/browser.js                    (content/browser.js)
- *       content/browser/browser.xul                   (content/browser.xul)
- *       content/browser/credits.xhtml                 (content/credits.xhtml)
--*       content/browser/EULA.js                       (content/EULA.js)
--*       content/browser/EULA.xhtml                    (content/EULA.xhtml)
--*       content/browser/EULA.xul                      (content/EULA.xul)
- *       content/browser/metaData.js                   (content/metaData.js)
- *       content/browser/metaData.xul                  (content/metaData.xul)
- *       content/browser/pageinfo/pageInfo.xul         (content/pageinfo/pageInfo.xul)
---- mozilla/browser/components/nsBrowserGlue.js	2008-09-16 19:07:25.000000000 +0000
-+++ mozilla/browser/components/nsBrowserGlue.js.new	2008-10-03 14:54:50.955760018 +0000
-@@ -175,33 +175,6 @@
-   // profile startup handler (contains profile initialization routines)
-   _onProfileStartup: function() 
-   {
--    // Check to see if the EULA must be shown on startup
--
--    var prefBranch = Cc["@mozilla.org/preferences-service;1"].
--                     getService(Ci.nsIPrefBranch);
--    var mustDisplayEULA = false;
--    try {
--      mustDisplayEULA = !prefBranch.getBoolPref("browser.EULA.override");
--    } catch (e) {
--      // Pref might not exist
--    }
--
--    // Make sure it hasn't already been accepted
--    if (mustDisplayEULA) {
--      try {
--        var EULAVersion = prefBranch.getIntPref("browser.EULA.version");
--        mustDisplayEULA = !prefBranch.getBoolPref("browser.EULA." + EULAVersion + ".accepted");
--      } catch(ex) {
--      }
--    }
--
--    if (mustDisplayEULA) {
--      var ww2 = Cc["@mozilla.org/embedcomp/window-watcher;1"].
--                getService(Ci.nsIWindowWatcher);
--      ww2.openWindow(null, "chrome://browser/content/EULA.xul", 
--                     "_blank", "chrome,centerscreen,modal,resizable=yes", null);
--    }
--
-     this.Sanitizer.onStartup();
-     // check if we're in safe mode
-     var app = Cc["@mozilla.org/xre/app-info;1"].getService(Ci.nsIXULAppInfo).



More information about the arch-commits mailing list